Package gov.nasa.gsfc.sscweb.schema

# Class BTraceData

java.lang.Object
gov.nasa.gsfc.sscweb.schema.BTraceData

public class BTraceData extends Object
B-field trace data. <p>Java class for BTraceData complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="BTraceData"> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <sequence> <element name="CoordinateSystem" type="{http://sscweb.gsfc.nasa.gov/schema}CoordinateSystem"/> <element name="Hemisphere" type="{http://sscweb.gsfc.nasa.gov/schema}Hemisphere"/> <element name="Latitude" type="{http://www.w3.org/2001/XMLSchema}float" maxOccurs="unbounded" minOccurs="0"/> <element name="Longitude" type="{http://www.w3.org/2001/XMLSchema}float" maxOccurs="unbounded" minOccurs="0"/> <element name="ArcLength" type="{http://www.w3.org/2001/XMLSchema}double" maxOccurs="unbounded" minOccurs="0"/> </sequence> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<Double>`
  `arcLength`
  B-Trace arc length values.
  `protected CoordinateSystem`
  `coordinateSystem`
  Identifies the coordinate system.
  `protected Hemisphere`
  `hemisphere`
  Magnetic Hemisphere.
  `protected List<Float>`
  `latitude`
  B-Trace latitude values.
  `protected List<Float>`
  `longitude`
  B-Trace longitude values.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BTraceData()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Double>`
  `getArcLength()`
  B-Trace arc length values.
  `CoordinateSystem`
  `getCoordinateSystem()`
  Identifies the coordinate system.
  `Hemisphere`
  `getHemisphere()`
  Magnetic Hemisphere.
  `List<Float>`
  `getLatitude()`
  B-Trace latitude values.
  `List<Float>`
  `getLongitude()`
  B-Trace longitude values.
  `void`
  `setCoordinateSystem(CoordinateSystem value)`
  Sets the value of the coordinateSystem property.
  `void`
  `setHemisphere(Hemisphere value)`
  Sets the value of the hemisphere property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### coordinateSystem

    protected CoordinateSystem coordinateSystem
    Identifies the coordinate system.

  - ### hemisphere

    protected Hemisphere hemisphere
    Magnetic Hemisphere.

  - ### latitude

    protected List<Float> latitude
    B-Trace latitude values.

  - ### longitude

    protected List<Float> longitude
    B-Trace longitude values.

  - ### arcLength

    protected List<Double> arcLength
    B-Trace arc length values.

- ## Constructor Details

  - ### BTraceData

    public BTraceData()

- ## Method Details

  - ### getCoordinateSystem

    public CoordinateSystem getCoordinateSystem()
    Identifies the coordinate system.
    Returns:
      possible object is `CoordinateSystem`

  - ### setCoordinateSystem

    public void setCoordinateSystem(CoordinateSystem value)
    Sets the value of the coordinateSystem property.
    Parameters:
      `value` - allowed object is `CoordinateSystem`
    See Also:
      - `getCoordinateSystem()`

  - ### getHemisphere

    public Hemisphere getHemisphere()
    Magnetic Hemisphere.
    Returns:
      possible object is `Hemisphere`

  - ### setHemisphere

    public void setHemisphere(Hemisphere value)
    Sets the value of the hemisphere property.
    Parameters:
      `value` - allowed object is `Hemisphere`
    See Also:
      - `getHemisphere()`

  - ### getLatitude

    public List<Float> getLatitude()
    B-Trace latitude values. Gets the value of the latitude property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the latitude property.

    For example, to add a new item, do as follows:

         getLatitude().add(newItem);

    Objects of the following type(s) are allowed in the list `Float`

    Returns:
      The value of the latitude property.

  - ### getLongitude

    public List<Float> getLongitude()
    B-Trace longitude values. Gets the value of the longitude property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the longitude property.

    For example, to add a new item, do as follows:

         getLongitude().add(newItem);

    Objects of the following type(s) are allowed in the list `Float`

    Returns:
      The value of the longitude property.

  - ### getArcLength

    public List<Double> getArcLength()
    B-Trace arc length values. Gets the value of the arcLength property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the arcLength property.

    For example, to add a new item, do as follows:

         getArcLength().add(newItem);

    Objects of the following type(s) are allowed in the list `Double`

    Returns:
      The value of the arcLength property.